%define enable_gtkdoc 0
%define enable_bootstrap 0
%define enable_tests 0

%define pkgname gtk+
%define api 3
%define api_version 3.0
%define binary_version 3.0.0
%define major 0
%define libname %mklibname %{pkgname} %{api} %{major}
%define develname %mklibname -d %{pkgname} %{api_version}
# this isnt really a true lib pkg, but a modules/plugin pkg
%define modules %mklibname gtk-modules %{api_version}

%define gail_major 0
%define libgail %mklibname gail %{api} %gail_major
%define develgail %mklibname -d gail %{api_version}
%define libgir %mklibname gtk-gir %{api_version}

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs
Name:		%{pkgname}%{api_version}
Version:	3.4.4
Release:	2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gtk.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk+/%{pkgname}-%{version}.tar.xz

BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(atk) >= 1.29.2
BuildRequires:	pkgconfig(cairo) >= 1.12.0
#BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.26
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.10
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	pkgconfig(pango) >= 1.30
BuildRequires:	pkgconfig(pangocairo) >= 1.30
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xrender)
#gw needed for gtk-update-icon-cache in gtk+3.0 3.0.9
BuildRequires:	gtk+2.0

%if %enable_tests
BuildRequires:	x11-server-xvfb
# gw tests will fail without this
BuildRequires:	fonts-ttf-dejavu
%endif
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9 
BuildRequires:	sgml-tools
BuildRequires:	texlive-texinfo
%endif
%if !%{enable_bootstrap}
Suggests:	xdg-user-dirs-gtk
%endif
Requires:	%{name}-common = %{version}-%{release}
# MD to pull in all the orphaned module loaders
Requires:	fontconfig
Requires:	gdk-pixbuf2.0
Requires:	gio2.0
Requires:	glib2.0-common
Requires:	pango-modules

Obsoletes:	gtk-engines3 < 3.0.0
Provides:	%{pkgname}%{api} = %{version}-%{release}

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package common
Summary:	%{summary}
Group:		%{group}
BuildArch:	noarch
Conflicts:	%{name} < 3.3.2-2

%description common
This package contains the common files for the GTK+3.0 graphical user
interface.

%package -n %{modules}
Summary:	%{summary}
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Provides:	gtk%{api}-modules = %{version}-%{release}
Obsoletes:	%{_lib}gtk+3 < 3.3.4-2
Obsoletes:	%{_lib}gtk+3.0_0 < 3.0.0
Obsoletes:	%{_lib}gtk+-x11-3.0_0 < 3.0.0
Obsoletes:	%{_lib}gtk-engines3 < 3.0.0

%description -n %{modules}
This package contains the immodules, engines and printbackends libraries
for %{name} to function properly.

%package -n %{develname}
Summary:	Development files for GTK+ (GIMP ToolKit) applications
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgir} = %{version}-%{release}
Provides:	%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

%package -n %{libname}
Summary:	Shared libraries of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Conflicts:	%{_lib}gtk+3_0 < 3.3.2-2

%description -n %{libname}
This package contains the shared libraries needed to run programs dynamically 
linked with gtk+.

%package -n %{libgir}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}gtk+3_0 < 3.3.2-2

%description -n %{libgir}
GObject Introspection interface description for %{name}.

%package -n %{libgail}
Summary:	GNOME Accessibility Implementation Library
Group:		System/Libraries
Obsoletes:	%{_lib}gail3.0_0 < 3.0.0

%description -n %{libgail}
Gail is the GNOME Accessibility Implementation Library.

%package -n %{develgail}
Summary:	Development libraries, include files for GAIL
Group:		Development/GNOME and GTK+
Provides:	libgail-%{api_version}-devel = %{version}-%{release}
Requires:	%{libgail} = %{version}

%description -n %{develgail}
Gail is the GNOME Accessibility Implementation Library

%prep
%setup -qn %{pkgname}-%{version}
%apply_patches

%build
# fix crash in nautilus (GNOME bug #596977)
export CFLAGS=`echo %{optflags} | sed -e 's/-fomit-frame-pointer//g'`

export CPPFLAGS="-DGTK_COMPILATION"
%configure2_5x \
	--disable-static \
	--enable-xinerama \
	--enable-gtk2-dependency

# fight unused direct deps
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make

%check
%if %enable_tests
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
make check
kill $(cat /tmp/.X$XDISPLAY-lock) ||:
%endif

%install
%makeinstall_std RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false

touch %{buildroot}%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules.cache
mkdir -p %{buildroot}%{_libdir}/gtk-%{api_version}/modules

%if "%{_lib}" != "lib"
 mv %{buildroot}%{_bindir}/gtk-query-immodules-%{api_version} %{buildroot}%{_bindir}/gtk-query-immodules-%{api_version}-64
%else
 mv %{buildroot}%{_bindir}/gtk-query-immodules-%{api_version} %{buildroot}%{_bindir}/gtk-query-immodules-%{api_version}-32
%endif

%find_lang gtk30 gtk30-properties gtk30.lang

#remove not packaged files
rm -f %{buildroot}%{_mandir}/man1/gtk-update-icon-cache.1*
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -n %{modules}
if [ "$1" = "2" ]; then
  if [ -f %{_sysconfdir}/gtk-%{api_version}/gtk.immodules ]; then
    rm -f %{_sysconfdir}/gtk-%{api_version}/gtk.immodules
  fi
fi
%if "%{_lib}" != "lib"
 %{_bindir}/gtk-query-immodules-%{api_version}-64 --update-cache
%else
 %{_bindir}/gtk-query-immodules-%{api_version}-32 --update-cache
%endif

%triggerin -n %{modules} -- %{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/*.so
%if "%{_lib}" != "lib"
 %{_bindir}/gtk-query-immodules-%{api_version}-64 --update-cache
%else
 %{_bindir}/gtk-query-immodules-%{api_version}-32 --update-cache
%endif

%triggerpostun -n %{modules} -- %{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/*.so
%if "%{_lib}" != "lib"
 %{_bindir}/gtk-query-immodules-%{api_version}-64 --update-cache
%else
 %{_bindir}/gtk-query-immodules-%{api_version}-32 --update-cache
%endif

%files
%doc README
%{_bindir}/gtk-query-immodules-%{api_version}-*

%files common -f gtk30.lang
%dir %{_sysconfdir}/gtk-%{api_version}
%config(noreplace) %{_sysconfdir}/gtk-%{api_version}/im-multipress.conf
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.FileChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.ColorChooser.gschema.xml
%{_datadir}/themes
%{_mandir}/man1/gtk-query-immodules-%{api_version}.1*

%files -n %{modules}
%ghost %verify (not md5 mtime size) %{_libdir}/gtk-%{api_version}/3.0.0/immodules.cache
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/immodules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/*.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends/*.so

%files -n %{libname}
%{_libdir}/libgtk-3.so.%{major}*
%{_libdir}/libgdk-3.so.%{major}*

%files -n %{libgir}
%{_libdir}/girepository-1.0/Gdk-%{api_version}.typelib
%{_libdir}/girepository-1.0/GdkX11-%{api_version}.typelib
%{_libdir}/girepository-1.0/Gtk-%{api_version}.typelib

%files -n %{develname}
%doc docs/*.txt AUTHORS ChangeLog NEWS* README*
%{_bindir}/gtk3-demo
%{_bindir}/gtk3-demo-application
%{_bindir}/gtk3-widget-factory
%{_includedir}/gtk-%{api_version}
%{_libdir}/libgtk-%{api}.so
%{_libdir}/libgdk-%{api}.so
%{_libdir}/pkgconfig/gdk-*%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-*%{api_version}.pc
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_datadir}/gir-1.0/Gdk-%{api_version}.gir
%{_datadir}/gir-1.0/GdkX11-%{api_version}.gir
%{_datadir}/gir-1.0/Gtk-%{api_version}.gir
%_datadir/glib-2.0/schemas/org.gtk.Demo.gschema.xml
%doc %{_datadir}/gtk-doc/html/gdk3
%doc %{_datadir}/gtk-doc/html/gtk3

%files -n %{libgail}
%{_libdir}/libgailutil-%{api}.so.%{gail_major}*

%files -n %{develgail}
%{_includedir}/gail-%{api_version}
%{_libdir}/libgailutil-%{api}.so
%{_libdir}/pkgconfig/gail-%{api_version}.pc
%{_datadir}/gtk-doc/html/gail-libgail-util3


%changelog
* Sat Nov 03 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 3.4.4-2
+ Revision: 821811
- bump version deps for cairo
- spec file clean
- remove unused direct deps from local libtool linking

* Mon Jul 16 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.4-1
+ Revision: 809711
- update to new version 3.4.4

* Wed Jun 06 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.4.3-2
+ Revision: 802923
- fix description-line-too-long

* Sun May 13 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.4.3-1
+ Revision: 798560
- version update 3.4.3

* Sun May 06 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.2-1
+ Revision: 797158
- new version 3.4.2
- added glib2.0-common as a req
- dropped typelib BRs for bootstrapping

* Wed Apr 25 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.1-4
+ Revision: 793295
- rebuild added back req for gir pkg in devel pkg

* Tue Apr 24 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.1-3
+ Revision: 793190
- rebuild fixed BRs for typelib reqs generation

* Tue Apr 24 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.1-2
+ Revision: 793178
- rebuild for rpm+g-i typelib auto prov/reqs

* Sat Apr 14 2012 Götz Waschk <waschk@mandriva.org> 3.4.1-1
+ Revision: 791004
- update file list
- update deps
- update to new version 3.4.1
- update to new version 3.4.0

* Tue Dec 06 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.3.4-3
+ Revision: 738388
- rebuild
- added requires for orphaned modules that gtk+3.0 need to work properly
- fontconfig, gdk-pixbuf2.0, gio2.0, pango-modules

* Sun Dec 04 2011 Zé <ze@mandriva.org> 3.3.4-2
+ Revision: 737572
- more suitable modules name and keep compability for gtk
- use fixed names in renames and conflcits
- avoid using rpm variables,use rpm native macros,not mix both

* Tue Nov 29 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.3.4-1
+ Revision: 735491
- fix for new find_lang
- fixed libname
- committing tarball
- fixed conflicts
- added hidden BR for now
- new version 3.3.4
- rebuild
- major spec clean up like gtk+2.0
- removed .la files
- removed defattr
- split out gir pkg and true lib pkg
- renamed lib pkg b/c its not really a DSO lib pkg
- but more a modules pkg
- removed clean section
- disabled static build
- removed ppc64 build support
- converted BRs to pkgconfig provides
- removed mkrel & BuildRoot
- dropped req for common-licenses (in basesystem-mininal)
- common pkg contains lang files & conf (noarch)

* Tue Nov 01 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.3.2-1
+ Revision: 708120
- new version 3.3.2

* Tue Jun 07 2011 Götz Waschk <waschk@mandriva.org> 3.0.11-1
+ Revision: 683022
- new version
- xz tarball

* Mon May 23 2011 Götz Waschk <waschk@mandriva.org> 3.0.10-1
+ Revision: 677585
- update to new version 3.0.10

* Fri Apr 15 2011 Götz Waschk <waschk@mandriva.org> 3.0.9-1
+ Revision: 653231
- update build deps
- disable gtk-doc build
- update to new version 3.0.9

* Mon Apr 04 2011 Funda Wang <fwang@mandriva.org> 3.0.8-1
+ Revision: 650108
- update to new version 3.0.8

* Sat Apr 02 2011 Funda Wang <fwang@mandriva.org> 3.0.7-1
+ Revision: 649773
- update to new version 3.0.7

* Fri Mar 25 2011 Götz Waschk <waschk@mandriva.org> 3.0.6-1
+ Revision: 648536
- update to new version 3.0.6

  + Funda Wang <fwang@mandriva.org>
    - use update-cache

* Thu Mar 24 2011 Funda Wang <fwang@mandriva.org> 3.0.5-2
+ Revision: 648203
- enable obsoletes, there are conflict modules between packages

* Thu Mar 24 2011 Funda Wang <fwang@mandriva.org> 3.0.5-1
+ Revision: 648195
- update to new version 3.0.5

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 3.0.4-1
+ Revision: 647724
- turn off obsoletes for gail for now
- update file list
  there is no seperate gtk-x11 package
  libso name has changed, also
- new version 3.0.4
- default theme decided by upstream now

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 2.90.7-1mdv2011.0
+ Revision: 577662
- new version
- depend on new gobject-introspection
- disable patch 4, does not built with it anymore

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 2.90.6-1mdv2011.0
+ Revision: 571020
- new version
- drop old patches

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 2.90.5-1mdv2011.0
+ Revision: 563283
- do not promote ia_ora-gnome for gtk2.0
- build before installing

  + Götz Waschk <waschk@mandriva.org>
    - enforce correct gdk_pixbuf version
    - fix gail libname to not conflict with gtk 2
    - drop patch 19
    - new version
    - new API version 3.0
    - new gail major
    - bump glib and gobject-introspection deps
    - drop patch 13, biarch is now handled
    - rediff patch 18
    - drop patches 21,22
    - rework provides and conflicts
    - don't apply patches 5,19 now
    - add new cache files for immodules and loaders to the library dir

* Mon May 03 2010 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2010.1
+ Revision: 541700
- new version
- drop patches 16,17

* Thu Apr 29 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.20.0-5mdv2010.1
+ Revision: 540855
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-3mdv2010.1
+ Revision: 539036
- Patch21 (Fedora): allow specifying icon padding for tray icon (GNOME bug #583273)
- Patch22 (GIT): use proper screen for getshape (GNOME bug #615853)

* Wed Apr 14 2010 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2010.1
+ Revision: 534848
- Patch16 (GIT): fix support for tracker 0.8
- Patch17 (GIT): delay search startup
- Patch18 (Fedora): improve tooltip appareance (GNOME bug #599617)
- Patch19 (Fedora): improve tooltip positioning (GNOME bug #599618)
- Patch20 (Fedora): allow window dragging toolbars / menubar (GNOME bug #611313)

* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2010.1
+ Revision: 526805
- update to new version 2.20.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.19.7-1mdv2010.1
+ Revision: 517217
- update to new version 2.19.7

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2010.1
+ Revision: 510461
- update to new version 2.19.6

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2010.1
+ Revision: 503767
- update to new version 2.19.5

* Thu Jan 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.19.4-2mdv2010.1
+ Revision: 497637
- cleanup build

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2010.1
+ Revision: 496515
- new version
- drop patches 16,17

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 2.19.3-3mdv2010.1
+ Revision: 494035
- disable parallel make
- patch for b.g.o #607508 (cannot drag window on the pager)

* Mon Jan 18 2010 Pascal Terjan <pterjan@mandriva.org> 2.19.3-2mdv2010.1
+ Revision: 492997
- Add upstream patch fixing xchat and pidgin unhilight of active channel

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2010.1
+ Revision: 489869
- new version
- drop patch 16

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.19.2-4mdv2010.1
+ Revision: 488762
- rebuilt against libjpeg v8

* Fri Dec 25 2009 Götz Waschk <waschk@mandriva.org> 2.19.2-3mdv2010.1
+ Revision: 482173
- add missing typelib

* Wed Dec 23 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.19.2-2mdv2010.1
+ Revision: 481673
- add upstream patch to fix a crash in sylpheed

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2010.1
+ Revision: 481237
- new version
- update deps
- add introspection support

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2010.1
+ Revision: 475519
- new version
- bump atk dep

* Tue Dec 08 2009 Götz Waschk <waschk@mandriva.org> 2.18.5-1mdv2010.1
+ Revision: 474908
- update to new version 2.18.5

* Tue Dec 01 2009 Götz Waschk <waschk@mandriva.org> 2.18.4-1mdv2010.1
+ Revision: 472199
- new version
- fix build
- drop patches 14, 16, 17, 18

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.3-3mdv2010.0
+ Revision: 459955
-Patch16 (GIT): fix toolbutton assert (GNOME bug #299446)
-Patch17 (GIT): fix iconview hang (GNOME bug #581150)
-Patch18 (GIT): fix symbolic color parsing

* Fri Oct 23 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.3-2mdv2010.0
+ Revision: 459071
- Change default themes for One / Free / Powerpack

* Tue Oct 20 2009 Götz Waschk <waschk@mandriva.org> 2.18.3-1mdv2010.0
+ Revision: 458335
- update to new version 2.18.3

* Wed Oct 07 2009 Thierry Vignaud <tv@mandriva.org> 2.18.2-4mdv2010.0
+ Revision: 455480
- do not package huge NEWS 3 times (one time in devel package is enough)

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.2-3mdv2010.0
+ Revision: 454646
- Disable patch15 for now, not stable enough

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.2-2mdv2010.0
+ Revision: 454628
- Patch15 (pterjan): fix crash in nautilus (GNOME bug #596977)

* Tue Oct 06 2009 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2010.0
+ Revision: 454343
- update to new version 2.18.2

* Thu Oct 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.18.1-2mdv2010.0
+ Revision: 452235
- Workaround crash in nautilus / moovida by remove -fomit-frame-pointer from CFLAGS

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2010.0
+ Revision: 451983
- update to new version 2.18.1

* Wed Sep 23 2009 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2010.0
+ Revision: 447655
- new version
- drop patches 0,1

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.17.11-3mdv2010.0
+ Revision: 443447
- install translations (bug #53681)

* Fri Sep 11 2009 Götz Waschk <waschk@mandriva.org> 2.17.11-2mdv2010.0
+ Revision: 437897
- fix window refresh in padre (bug #52802)

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.17.11-1mdv2010.0
+ Revision: 432062
- new version
- fix build

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 2.17.10-1mdv2010.0
+ Revision: 423656
- new version
- drop patches 15,16

* Tue Sep 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.17.9-3mdv2010.0
+ Revision: 423609
- Patch16 (GIT): fix crash in acroread (GNOME bug #59324) (Mdv bug #53175)

* Thu Aug 27 2009 Pascal Terjan <pterjan@mandriva.org> 2.17.9-2mdv2010.0
+ Revision: 421691
- Fix changing icons in GtkEntry

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix dependencies (Mdv bug #53224)

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.17.9-1mdv2010.0
+ Revision: 420760
- update to new version 2.17.9

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.17.8-2mdv2010.0
+ Revision: 417940
- fix blurry jpeg display with libjpeg 7 (bug #52960)

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2010.0
+ Revision: 417529
- new version
- drop patch 14

* Sun Aug 16 2009 Colin Guthrie <cguthrie@mandriva.org> 2.17.7-3mdv2010.0
+ Revision: 417094
- Add upstream fix for drag and drop offset weirdness in FF/TB (gbz#588437)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.17.7-2mdv2010.0
+ Revision: 416616
- rebuilt against libjpeg v7

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.17.7-1mdv2010.0
+ Revision: 415174
- new version
- drop patches 14,15

* Tue Aug 11 2009 Frederic Crozat <fcrozat@mandriva.com> 2.17.6-3mdv2010.0
+ Revision: 415106
- Patch15: fix mouse cursor on gdm (GNOME bug #589844)

* Tue Aug 11 2009 Pascal Terjan <pterjan@mandriva.org> 2.17.6-2mdv2010.0
+ Revision: 414971
- Add a way to disable folder creation in file choser (applied upstream)

* Sat Jul 25 2009 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2010.0
+ Revision: 399671
- new version
- drop patches 14,15

* Fri Jul 24 2009 Frederic Crozat <fcrozat@mandriva.com> 2.17.5-3mdv2010.0
+ Revision: 399476
- Patch15 (GIT): more csw fixes

* Thu Jul 23 2009 Frederic Crozat <fcrozat@mandriva.com> 2.17.5-2mdv2010.0
+ Revision: 398984
- Patch14 (GIT): various bugfixes, mostly csw related
- Bump glib dependency (Mdv bug #52107)

* Sat Jul 18 2009 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2010.0
+ Revision: 396993
- update to new version 2.17.5

* Sat Jul 11 2009 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2010.0
+ Revision: 394713
- update to new version 2.17.4

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2010.0
+ Revision: 393144
- update to new version 2.17.3

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2010.0
+ Revision: 386271
- new version

* Sat May 30 2009 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2010.0
+ Revision: 381485
- new version
- drop patch 20

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.17.0-1mdv2010.0
+ Revision: 374172
- new version
- update file list

* Mon Apr 20 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-4mdv2009.1
+ Revision: 368421
- Fix typo in Arctic theme name in patch 12

* Thu Apr 16 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2009.1
+ Revision: 367770
- Update patch12 to disable sound events by default (Mdv bug #48319)

* Wed Apr 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2009.1
+ Revision: 367435
- Fix default themes for One and Powerpack

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2009.1
+ Revision: 367001
- update to new version 2.16.1

* Wed Apr 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2009.1
+ Revision: 363309
- Remove patch22, no longer needed
- Update patch12 with theme colors changed for Mdv 2009.1

* Fri Mar 13 2009 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2009.1
+ Revision: 354612
- new version
- drop patch 23

* Fri Mar 13 2009 Götz Waschk <waschk@mandriva.org> 2.15.5-2mdv2009.1
+ Revision: 354582
- fix regression in GtkCompoBoxEntry (upstream bug #574059)

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2009.1
+ Revision: 347527
- new version
- drop patch 21

* Fri Feb 27 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-3mdv2009.1
+ Revision: 345639
- Don't try to rebuild cache if there is no index.theme (Mdv bug #47981)

* Thu Feb 19 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2009.1
+ Revision: 342913
- Patch21 (SVN): fix randr support on old xrandr driver
- Patch22 (SVN): fix for driver not supporting randr < 1.2 (Mdv bug #47996)

* Wed Feb 18 2009 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2009.1
+ Revision: 342273
- new version
- bump glib dep

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.15.3-2mdv2009.1
+ Revision: 336788
- drop patch 21

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2009.1
+ Revision: 336741
- update to new version 2.15.3

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update patch12 to change sound theme too
    - Don't start Xvfb if tests are disabled
    - Add git mirror url to specfile

* Tue Jan 27 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2009.1
+ Revision: 334182
- Patch21: fix crash in gtk button

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2009.1
+ Revision: 334033
- update to new version 2.15.2

* Sat Jan 24 2009 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdv2009.1
+ Revision: 333234
- new version
- drop patch 21

* Thu Jan 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.0-2mdv2009.1
+ Revision: 332462
- Patch21 (SVN): fix gtk entry loop (GNOME bug #568552)

* Fri Jan 02 2009 Götz Waschk <waschk@mandriva.org> 2.15.0-1mdv2009.1
+ Revision: 323264
- new version
- new source URL

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.14.6-1mdv2009.1
+ Revision: 315780
- new version
- fix source URL

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.14.5-1mdv2009.1
+ Revision: 306475
- new version
- fix build

* Fri Nov 07 2008 Götz Waschk <waschk@mandriva.org> 2.14.4-2mdv2009.1
+ Revision: 300653
- rebuild for new libxcb

* Fri Oct 17 2008 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2009.1
+ Revision: 294690
- new version
- drop patch 21

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.3-2mdv2009.0
+ Revision: 290227
- Patch21 (SVN): various bug fixes from SVN

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2009.0
+ Revision: 287716
- new version
- drop patch 21

* Sat Sep 20 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-2mdv2009.0
+ Revision: 286072
- Patch21: fix i18n init in fileselector (GNOME bug #553000)

* Thu Sep 18 2008 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2009.0
+ Revision: 285596
- new version
- drop patch 21

* Wed Sep 10 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdv2009.0
+ Revision: 283491
- Patch21 (SVN) : drop RandR 1.2 calls, it is too slow and cause flickering

* Fri Sep 05 2008 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2009.0
+ Revision: 281046
- new version
- drop patch 21

* Tue Aug 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.7-2mdv2009.0
+ Revision: 276112
- Remove patch22, we won't backport gtk 2.14
- Patch21: fix window reparenting regression (Mdv bug #42487) (GNOME bug #548993)
- Update patch12 to use always use Ia Ora Smooth

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.13.7-1mdv2009.0
+ Revision: 273715
- new version
- drop patches 23,24

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.6-3mdv2009.0
+ Revision: 273281
- Patch24 (SVN): fix keyboard navigation in menu (GNOME bug #547027, Mdv bug #42914)

* Tue Aug 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.6-2mdv2009.0
+ Revision: 271190
- Patch23 (SVN): fix misrendering in evolution composer (GNOME bug #546754)

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2009.0
+ Revision: 264069
- new version
- drop patches 23,24

* Thu Jul 31 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-3mdv2009.0
+ Revision: 258057
- Patch24 (SVN): fix crash in gtk print dialog (GNOME bug #544390)

* Tue Jul 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-2mdv2009.0
+ Revision: 240404
- Force xinerama build (configure flag can be removed with next gtk release, fixed in upstream svn)
- Patch23: fix xinerama when randr 1.2 is in compat mode (GNOME bug #543317) (Mdv bug #42067)

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2009.0
+ Revision: 240110
- new version
- bump glib dep

* Thu Jul 17 2008 Frederic Crozat <fcrozat@mandriva.com> 2.13.4-2mdv2009.0
+ Revision: 237745
- Update minimal versions for glib/atk/pango/cairo (fix upgrade)
- Fix build on 2008.1

* Sun Jul 06 2008 Götz Waschk <waschk@mandriva.org> 2.13.4-1mdv2009.0
+ Revision: 232164
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.13.3-1mdv2009.0
+ Revision: 230986
- fix buildrequires
- new version
- add gail libs
- rediff patch 4
- drop patches 27,28
- disable --no-undefined

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 2.12.11-1mdv2009.0
+ Revision: 230550
- new version
- drop patch 29

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 09 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.10-2mdv2009.0
+ Revision: 217094
- Patch29 (SVN): fix menu positioning regression (GNOME bug #536757)

* Thu Jun 05 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.10-1mdv2009.0
+ Revision: 215227
- Release 2.12.10
- Remove patches 24 and 29, merged upstream

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.9-2mdv2008.1
+ Revision: 191596
- Patch29: fix crash in cups backend on 64bits (Mdv bug #39711)

* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 2.12.9-1mdv2008.1
+ Revision: 187040
- new version
- drop patches 25 and 26

* Mon Mar 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.8-5mdv2008.1
+ Revision: 177967
- Move suggest on ia_ora-gnome engine from gtk+2.0 to lib package, ensure 32bit engine is pulled when installing 32bits lib package after 64bit package is installed (Mdv bug #38405)

* Fri Feb 29 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.8-4mdv2008.1
+ Revision: 176692
- Patch26 (SVN): fix libbeagle soname
- Patch27 (SVN): fix critical warnings from Treeview (GNOME bug #488119)
- Patch28 (SVN): add Gtk/IMModule xsetting support (GNOME bug #502446)

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.8-3mdv2008.1
+ Revision: 176512
- Update patch12 for new theme names : Ia Ora Smooth for Free and Ia Ora Blue for One

* Wed Feb 13 2008 Frederic Crozat <fcrozat@mandriva.com> 2.12.8-2mdv2008.1
+ Revision: 166986
- Patch25 (SVN): guard recent manager against recursion (GNOME bug #507605) (SVN)

* Wed Feb 13 2008 Götz Waschk <waschk@mandriva.org> 2.12.8-1mdv2008.1
+ Revision: 166940
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.12.7-1mdv2008.1
+ Revision: 160153
- new version

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.12.6-1mdv2008.1
+ Revision: 159675
- new version

* Sun Jan 13 2008 Funda Wang <fwang@mandriva.org> 2.12.5-2mdv2008.1
+ Revision: 150846
- rebuild against latest gnutls

* Wed Jan 09 2008 Götz Waschk <waschk@mandriva.org> 2.12.5-1mdv2008.1
+ Revision: 147105
- new version

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.12.4-1mdv2008.1
+ Revision: 146645
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Dec 18 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdv2008.1
+ Revision: 132239
- Only apply patch22 when building on 2008.0 or earlier

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdv2008.1
+ Revision: 115637
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel

* Tue Nov 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-1mdv2008.1
+ Revision: 113370
- Regenerate patch22 by removing useless patching in it

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patches 29,30

* Mon Nov 12 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdv2008.1
+ Revision: 108171
- Update patch29 with upstream fix

* Mon Oct 29 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdv2008.1
+ Revision: 103005
- Patch30: various SVN fixes (GNOME bugs #491207, #488051,#479463, #468793, #486420, #488918)

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2008.1
+ Revision: 102555
- update patch 22
- new version
- drop patches 23,25,26,27,28

* Wed Oct 10 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-8mdv2008.1
+ Revision: 96748
- Patch29 (Kris): fix gdkwindow invalidation crash (Firefox print preview crash) (Mdv bug #33579)

* Thu Oct 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-7mdv2008.0
+ Revision: 95322
- Patch27 (SVN): improve file chooser entry field response to Ctrl-L shortcut (GNOME bug #455284)
- Patch28 (SVN): fix filechooser date conversion for non-UTF8 locale (GNOME bug #482504)

* Wed Sep 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-6mdv2008.0
+ Revision: 93052
- Patch26 (SVN): fix crash when cancelling search (GNOME bug #480123)

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-5mdv2008.0
+ Revision: 92493
- Patch25: prevent crash with old eclipse release (GNOME bug #460194)

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-4mdv2008.0
+ Revision: 92484
- Patch23 : various fixes from SVN
- Remove patch21 (merged in patch23)
- Patch24: fix XDG mime cache crash (fd.o bug #12512)

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-3mdv2008.0
+ Revision: 88522
- readd patch 22 (bug #33003)

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdv2008.0
+ Revision: 85679
- Update patch12 with theme Ia Ora One for desktop metaclass

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdv2008.0
+ Revision: 85497
- Patch21 (SVN): fix icon cache validation (GNOME bug #476342)

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop merged patches 17,18,19,21,22

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-7mdv2008.0
+ Revision: 84539
- fix context menu (upstream bug #449371)

* Mon Sep 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-6mdv2008.0
+ Revision: 78683
- Patch19 (Jan de Groot): prevent Flash to crash with glib 2.12 (GNOME bug #463773)
- Patch20 (MK): rename Uzbek translations to match mdv-2008.0 locales-uz (Mdv bug #33003)

* Thu Aug 30 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-5mdv2008.0
+ Revision: 75709
- Patch19 (SVN): fix build with latest CUPS
- move im-multipress.conf file from lib to main package

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-4mdv2008.0
+ Revision: 60352
- Patch18 (SVN): fix crash on deprecated tooltip private field access (Mdv bug #32034)

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-3mdv2008.0
+ Revision: 60090
- Add xdg-user-dirs-gtk as suggest
- Use suggests instead of hard dependencies for ia-ora
- add bootstrap mode for those suggests
- Drop patch16, it won't be revived

* Tue Jul 31 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-2mdv2008.0
+ Revision: 57080
- Patch17 (SVN): fix tooltip on systray

* Sat Jul 21 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-1mdv2008.0
+ Revision: 54261
- new version

* Tue Jul 03 2007 Götz Waschk <waschk@mandriva.org> 2.11.5-1mdv2008.0
+ Revision: 47384
- new version
- update file list

* Wed Jun 20 2007 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2008.0
+ Revision: 41806
- new version
- drop patch 0
- disable patch 16

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-2mdv2008.0
+ Revision: 40743
- fix clash with C++ symbol

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2008.0
+ Revision: 40593
- disable checks, they fail in iurt
- fix buildrequires
- new version

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2008.0
+ Revision: 36051
- new version
- new version
- drop patches 15,17
- rediff patch 16
- bump deps

* Thu May 03 2007 Götz Waschk <waschk@mandriva.org> 2.10.12-1mdv2008.0
+ Revision: 21346
- new version
- update patch 17
- drop patch 18

